---
title: RTCIceCandidate.port
slug: Web/API/RTCIceCandidate/port
tags:
  - API
  - Candidate
  - ICE
  - Networking
  - Property
  - RTCIceCandidate
  - Read-only
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - port
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceCandidate")}}</strong> interface's read-only <strong><code>port</code></strong> property contains the port number on the device at the address given by {{domxref("RTCIceCandidate.ip", "ip")}} at which the candidate's peer can be reached.</span></p>

<p>As is the case with most of <code>RTCIceCandidate</code>'s properties, the value of <code>port</code> is extracted from the <code>candidate</code> a-line string specified when creating the <code>RTCIceCandidate</code>. The a-line string is obtained either from the {{domxref("RTCIceCandidateInit")}} property {{domxref("RTCIceCandidateInit.candidate", "candidate")}} or from a-line string passed into the constructor upon using {{domxref("RTCIceCandidate.RTCIceCandidate", "new RTCIceCandidate()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>port</em> = <em>RTCIceCandidate</em>.port;</pre>

<h3 id="Value">Value</h3>

<p>A 16-bit number indicating the port number on the device at the address indicated by {{domxref("RTCIceCandidate.ip", "ip")}} at which the candidate's peer can be reached.</p>

<p><code>port</code> is initialized to <code>null</code> if it is not specified in the <code>candidate</code>, or if the <code>candidate</code> string can't be parsed propertly.</p>

<div class="note">
<p><strong>Note:</strong> If <code>port</code> is <code>null</code>, passing the candidate to {{domxref("RTCPeerConnection.addIceCandidate", "addIceCandidate()")}} will fail, throwing an <code>OperationError</code> exception. This applies only if the candidate implements <code>port</code>.</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p>Consider this {{Glossary("SDP")}} attribute line (a-line) which describes an ICE candidate:</p>

<pre>a=candidate:4234997325 1 udp 2043278322 192.168.0.56 44323 typ host</pre>

<p>The port number is found in the sixth field, which is <code>"44323"</code>. In this case, the value of <code>port</code> will be 44323.</p>

<h2 id="Example">Example</h2>

<p>This code snippet fetches the IP address and port number of the candidate, storing them into an object for future use.</p>

<pre class="brush: js">var candidateLoc = {
  address: candidate.ip,
  port: candidate.port
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidate-port', 'RTCIceCandidate.port')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidate.port")}}</p>
</div>
